import 'package:json_annotation/json_annotation.dart';
part 'login_model.g.dart';
@JsonSerializable()
class LoginModel{
  String access_token;
  int expires_in;
  int refresh_expires_in;
  String refresh_token;
  String token_type;
  String session_state;
  String scope;
  LoginModel(this.access_token, this.expires_in, this.refresh_expires_in,
      this.refresh_token, this.token_type, this.session_state, this.scope);
  factory LoginModel.fromJson(Map<String,dynamic> map) => _$LoginModelFromJson(map);
  //To Json
  Map<String,dynamic> toJson() => _$LoginModelToJson(this);
}

